# Download Proofread SRT

Returns a link to download the proofread SRT file for the specified proofread.

<Callout icon="📘" theme="info">
  **Note:**

  * This endpoint consumes API credits and is only available to <Anchor label="**Scale** and **Enterprise**" target="_blank" href="https://www.heygen.com/api-pricing">**Scale** and **Enterprise**</Anchor> API plan users.
  * Scroll down to the **Response** section below and expand the status code(s) to view the detailed response schema.
  * Refer to the **RESPONSE** panel on the right and choose an example to explore different proofreading statuses (such as processing or completed) and see how each status appears in the API response examples.
</Callout>

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "heygen-api",
    "version": "4.0.8"
  },
  "servers": [
    {
      "url": "https://api.heygen.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "name": "x-api-key",
        "in": "header",
        "x-default": "<your-api-key>"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/v2/video_translate/proofread/{proofread_id}/download-srt": {
      "get": {
        "summary": "Download Proofread SRT",
        "description": "Returns a link to download the SRT file for the specified proofread.",
        "operationId": "download-proofread-srt",
        "parameters": [
          {
            "name": "proofread_id",
            "in": "path",
            "schema": {
              "type": "string"
            },
            "required": true,
            "description": "Unique identifier of the proofread. Can be retrieved from the <a href=\"https://docs.heygen.com/reference/generate-proofread\" target=\"_blank\">Generate Proofread </a> endpoint.   "
          }
        ],
        "responses": {
          "200": {
            "description": "Proofread downloaded successfully - Expand to view the detailed response schema.",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": {
                      "error": null,
                      "data": {
                        "srt_url": "https://resource2.heygen.ai/video_translate/p5432f06dbd347b5bb2c4be0a35b70c5-en-en-ZA/Generating_Proofread_for_a_Video.srt?response-content-disposition=attachment%3B+filename%2A%3DUTF-8%27%27Generating_Proofread_for_a_Video.srt%3B"
                      }
                    }
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string",
                      "description": "Displays error message when the request fails; null if the request is successful."
                    },
                    "data": {
                      "type": "object",
                      "properties": {
                        "srt_url": {
                          "type": "string",
                          "description": "URL to download the proofread SRT file containing the finalized subtitles for the specified proofread."
                        }
                      },
                      "description": "Contains the proofread file. "
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```